
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";




CREATE TABLE IF NOT EXISTS `az_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(32) NOT NULL,
  `pwd` varchar(32) NOT NULL,
  `ip` char(15) NOT NULL,
  `logtime` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;





CREATE TABLE IF NOT EXISTS `az_book` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `tel` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `content` text,
  `time` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;





CREATE TABLE IF NOT EXISTS `az_cate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `catename` varchar(255) DEFAULT NULL,
  `cateurl` varchar(255) DEFAULT NULL,
  `catetitle` varchar(255) DEFAULT NULL,
  `catekey` varchar(255) DEFAULT NULL,
  `catedesc` varchar(255) DEFAULT NULL,
  `catetem` varchar(255) DEFAULT NULL,
  `catepage` int(11) DEFAULT NULL,
  `class` int(11) DEFAULT '0',
  `catelogo` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;


INSERT INTO `az_cate` (`id`, `catename`, `cateurl`, `catetitle`, `catekey`, `catedesc`, `catetem`, `catepage`, `class`, `catelogo`) VALUES
(1, '公司新闻', 'gsxw', '公司新闻', '公司新闻', ' 公司新闻公司新闻公司新闻', 'text_list', 1, 0, ''),
(2, '客户案例', 'khal', '客户案例', '客户案例', ' 客户案例', 'pic_list', 20, 1, '/Public/Uploads/pic/1394450753.jpg'),
(4, '服务范围', 'fwf', 'DIYWAP服务范围', '服务范围', ' 我们提供微网站制作，微商城开发，微信公众号功能开发，在线下单，结合微信公众号自动回复，回复内容查询商品信息，实现自定义菜单开发', 'text_pic', 20, 0, '');



CREATE TABLE IF NOT EXISTS `az_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `reply` text,
  `connent` text,
  `url` varchar(255) DEFAULT NULL,
  `isshow` int(11) DEFAULT NULL,
  `replytime` varchar(255) DEFAULT NULL,
  `time` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;


INSERT INTO `az_comment` (`id`, `name`, `email`, `homepage`, `reply`, `connent`, `url`, `isshow`, `replytime`, `time`) VALUES
(10, '本机地址', '476905668@qq.com', '0', '国虽然已向经济发达国家迈进，但实际上还没有完全进入现代国家的行列，民众的群聚、盲从、非理性、易受煽动和民粹化基因，是中国前进道路上的绊脚石。身为 代表先进力量的电子商务公司的创始人，用封建残余和诈术来谋求自身的进步，进而把自己塑造成一尊神，实质上是对中国走向现代国家进程的一种摧残。\r\n\r\n马云的事例，不过是历史长河中小小的一瞬，激不起太大波澜，我也不相信他能最终获得成功。但有一点我们一定要牢记，马云赢了，这个民族就输了，会有更多的野心家冒出来，肆意瓜分和践踏这个民族的信心和自尊。', '国虽然已向经济发达国家迈进，但实际上还没有完全进入现代国家的行列，民众的群聚、盲从、非理性、易受煽动和民粹化基因，是中国前进道路上的绊脚石。身为 代表先进力量的电子商务公司的创始人，用封建残余和诈术来谋求自身的进步，进而把自己塑造成一尊神，实质上是对中国走向现代国家进程的一种摧残。马云的事例，不过是历史长河中小小的一瞬，激不起太大波澜，我也不相信他能最终获得成功。但有一点我们一定要牢记，马云赢了，这个民族就输了，会有更多的野心家冒出来，肆意瓜分和践踏这个民族的信心和自尊。', '/gsxw-rgmyylzgmzjsl.html', 1, '2014-03-15 12:04:26', '2014-03-15');



CREATE TABLE IF NOT EXISTS `az_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tags` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `classtitle` varchar(255) DEFAULT NULL,
  `cateid` int(11) DEFAULT NULL,
  `cid` int(11) DEFAULT NULL,
  `istop` int(11) NOT NULL DEFAULT '0',
  `isrec` int(11) NOT NULL DEFAULT '0',
  `isshow` int(11) NOT NULL DEFAULT '1',
  `isrev` int(11) NOT NULL DEFAULT '0',
  `infotitle` varchar(255) DEFAULT NULL,
  `infokey` varchar(255) DEFAULT NULL,
  `infodesc` varchar(255) DEFAULT NULL,
  `content` text,
  `ispic` varchar(255) DEFAULT NULL,
  `author` varchar(255) DEFAULT NULL,
  `from` varchar(255) DEFAULT NULL,
  `revs` int(11) DEFAULT NULL,
  `hits` bigint(20) DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  `phoneurl` varchar(255) DEFAULT NULL,
  `pcurl` varchar(255) DEFAULT NULL,
  `infotemp` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=28 ;


INSERT INTO `az_info` (`id`, `tags`, `title`, `url`, `classtitle`, `cateid`, `cid`, `istop`, `isrec`, `isshow`, `isrev`, `infotitle`, `infokey`, `infodesc`, `content`, `ispic`, `author`, `from`, `revs`, `hits`, `time`, `phoneurl`, `pcurl`, `infotemp`) VALUES
(16, NULL, '手机微网站制作', '/fwf-sjwwzzz.html', '服务范围', 4, 0, 1, 0, 1, 1, '专业的手机微网站制作公司', '微网站制作，手机微网站制作', '我们可以提供微网站制作，可以让网站在不同大小屏幕的手机上完美运行！并且保证功能都能正常工作！', '我们可以提供微网站制作，可以让网站在不同大小屏幕的手机上完美运行！并且保证功能都能正常工作！<span style="color:#CC0000;font-family:arial;font-size:13.333333969116211px;line-height:22.24444580078125px;background-color:#FFFFFF;">微网站</span><span style="color:#333333;font-family:arial;font-size:13.333333969116211px;line-height:22.24444580078125px;background-color:#FFFFFF;">也称手机网站,有人也称呼为微信网站。它源于WebApp和网站的融合,兼容iOS、android、WP等各大操作系统,可以方便的与微信、微博等应用的链接。</span>', '/Public/Uploads/mid/m_1394723097.jpg', 'DIYWAP', '原创', 0, 639, '2014-03-13 23:01:48', '', '', 'text_show'),
(17, NULL, '微商城开发', '/fwf-wsckf.html', '服务范围', 4, 0, 1, 0, 1, 1, '微商城开发，手机商城开发', '微商城开发，手机商城开发', '我们可以提供微商城开发，在线下单，结合微信公众号自动回复，回复内容查询商品信息，实现自定义菜单开发！', '我们可以提供微商城开发，在线下单，结合微信公众号自动回复，回复内容查询商品信息，实现自定义菜单开发！', '/Public/Uploads/mid/m_1394723294.jpg', 'DIYWAP', '原创', 0, 291, '2014-03-13 23:07:36', '', '', 'text_show'),
(18, NULL, '微信公众号功能开发', '/fwf-wxgzhgnkf.html', '服务范围', 4, 0, 1, 0, 1, 1, '微信公众号功能开发，公众号接口服务', '微信公众号功能开发，公众号接口服务', '我们提供微信公众号接口开发服务，根据你的要求开发功能，比如：快递查询，天气查询，聊天机器人等等功能', '我们提供微信公众号接口开发服务，根据你的要求开发功能，比如：快递查询，天气查询，聊天机器人等等功能', '/Public/Uploads/mid/m_1394723388.jpg', 'DIYWAP', '原创', 0, 451, '2014-03-13 23:09:01', '', '', 'text_show'),
(19, NULL, 'DIYWAP手机网站管理系统 v2.0', '/khal-DIYWAPmfPHPsjwzglxtv20.html', '客户案例', 2, 1, 1, 0, 1, 1, 'DIYWAP免费PHP手机网站管理系统 v2.0', 'DIYWAP免费PHP手机网站管理系统 v2.0', 'DIYWAP免费PHP手机网站管理系统 v2.0全面升级，前后台全面改版。增加了微信公众号功能！DIYWAP手机网站系统是一套针对移动互联网开发的适用于手机的WAP网站系统，整站源码是基于Thinkphp开发完成的，系统主要携带后台自由设置手机网站二级域名功能，', 'DIYWAP免费PHP手机网站管理系统 v2.0全面升级，前后台全面改版。增加了微信公众号功能！<span style="color:#888888;font-family:微软雅黑;font-size:13px;line-height:normal;background-color:#FFFFFF;">DIYWAP手机网站系统是一套针对移动互联网开发的适用于手机的WAP网站系统，整站源码是基于Thinkphp开发完成的，系统主要携带后台自由设置手机网站二级域名功能，只要在空间绑定两个域名然后在域名解析你绑定的域名就可以在后台设置，比如：wap.diywap.cn&nbsp;也就是说使用DIYWAP手机网站系统可以同时拥有两个网站，一个电脑网站一个手机网站，另外DIYWAP手机网站系统提供的模板都是支持手机屏幕和电脑屏幕的。都可以下载使用！</span>', '/Public/Uploads/mid/m_1394725331.jpg', 'Diywap', '原创', 0, 899, '2014-03-13 23:40:56', '', '', 'pic_show'),
(20, NULL, '蓝色大气适用于品牌网站模板', '/khal-lsdqsyyppwzmb.html', '客户案例', 2, 1, 0, 1, 1, 1, '蓝色大气适用于品牌网站模板', '蓝色大气适用于品牌网站模板', '这套模板可以自适应于不同的屏幕大小！漂亮的动态效果！在产品展示页面还有独特的焦点放大特效，每一个页面都有一些动态效果让网站感觉更有动感！', '这套模板可以自适应于不同的屏幕大小！漂亮的动态效果！在产品展示页面还有独特的焦点放大特效，每一个页面都有一些动态效果让网站感觉更有动感！', '/Public/Uploads/mid/m_1394725447.png', 'Diywap', '原创', 8, 457, '2014-03-13 23:43:33', '', '', 'pic_show'),
(21, NULL, '北京京创平面设计', '/khal-bjjcpmsj.html', '客户案例', 2, 1, 0, 1, 1, 1, '北京京创平面设计', '北京京创平面设计', '京创设计团队都是行业精英，我们没有业务员，没有任何多余的部门，只有一支稳定并且有实力的设计师团队。\r\n专业：京创设计师都是艺术设计专业毕业，在国内知名广告公司任设计师多年，积累了丰富的设计经验，所给客户呈现的作品都出类拔萃。', '京创设计团队都是行业精英，我们没有业务员，没有任何多余的部门，只有一支稳定并且有实力的设计师团队。<br />\r\n专业：京创设计师都是艺术设计专业毕业，在国内知名广告公司任设计师多年，积累了丰富的设计经验，所给客户呈现的作品都出类拔萃。<br />', '/Public/Uploads/mid/m_1394725605.png', 'Diywap', '原创', 0, 973, '2014-03-13 23:45:41', '', '', 'pic_show'),
(22, NULL, '质感黑色手机独立模板', '/khal-zghssjdlmb.html', '客户案例', 2, 1, 0, 1, 1, 1, '质感黑色手机独立模板', '质感黑色手机独立模板', '质感黑色手机独立模板', '质感黑色手机独立模板', '/Public/Uploads/mid/m_1394725664.jpg', 'Diywap', '原创', 0, 282, '2014-03-13 23:47:16', '', '', 'pic_show'),
(23, NULL, '书包园服订做工厂网站', '/khal-sbyfdzgcwz.html', '客户案例', 2, 1, 0, 1, 1, 1, '书包园服订做工厂网站', '书包园服订做工厂网站', '书包园服订做工厂网站模板，采用的是自适用宽度设计！在870像素以上屏幕采用了全屏加一个背景的设计，在600到870像素之间采用的是100%宽度设计，', '<span style="color:#777777;font-family:微软雅黑;font-size:13px;line-height:25px;background-color:#FFFFFF;">书包园服订做工厂网站模板，采用的是自适用宽度设计！在870像素以上屏幕采用了全屏加一个背景的设计，在600到870像素之间采用的是100%宽度设计，原来一行四个的展示自动调整成了两个。这样让整个网页在600到870像素之间的屏幕上以满屏幕的效果展示。另外小于600像素也就是平时的手机上采用的是全屏100%宽度。另外导航也自动的缩成了一个图标点击会展开导航信息；这套模板可以适用于所有屏幕大小。这正是符合了搜索引擎针对移动终端网站的要求，要和电脑网站内容一样！</span>', '/Public/Uploads/mid/m_1394725767.jpg', 'DIYWAP', '原创', 0, 751, '2014-03-13 23:48:45', '', '', 'pic_show'),
(24, NULL, '企业网站制作', '/fwf-qywzzz.html', '服务范围', 4, 0, 0, 0, 1, 1, '企业网站制作', '企业网站制作', 'DIYWAP提供企业网站制作，技术过硬，后期服务良好，严格安照W3C标准制作！', '<p>\r\n	DIYWAP提供企业网站制作，技术过硬，后期服务良好，严格安照W3C标准制作！\r\n</p>\r\n<p>\r\n	<img src="/Public/Uploads/mid/m_1394803005.jpg" width="570" height="320" alt="" /> \r\n</p>', '/Public/Uploads/mid/m_1394803005.jpg', 'DIYWAP', '原创', 0, 392, '2014-03-14 21:11:19', '', '', 'text_show'),
(25, NULL, '域名注册服务', '/fwf-ymzcfw.html', '服务范围', 4, 0, 0, 0, 1, 1, '域名注册服务', '域名注册服务', '我们提供.com .net .org .cn等等国际国内域名注册服务，价格优惠服务稳定！', '我们提供.com .net .org .cn等等国际国内域名注册服务，价格优惠服务稳定！', '/Public/Uploads/mid/m_1394803386.jpg', ' 微乐园', '原创', 0, 211, '2014-03-14 21:22:21', '', '', 'text_show'),
(26, NULL, '香港完全能在合伙人制度上经受考验', '/gsxw-xgwqnzhhrzdsjsky.html', '公司新闻', 1, 0, 0, 0, 1, 1, '香港完全能在合伙人制度上经受考验', '香港完全能在合伙人制度上经受考验', '阿里巴巴神秘人蔡崇信，前几天在接受路透社采访时说了，阿里巴巴将不会为了在香港上市而改变合伙人制度。当然，如果你去路透社看英语原文的话，会发现这些表述的语气远比国内报道的强烈，用了诸如never这样的字眼。', '<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	阿里巴巴神秘人蔡崇信，前几天在接受路透社采访时说了，阿里巴巴将不会为了在香港上市而改变合伙人制度。当然，如果你去路透社看英语原文的话，会发现这些表述的语气远比国内报道的强烈，用了诸如never这样的字眼。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	<img src="http://e.hiphotos.baidu.com/news/w%3D638/sign=758eae4634d3d539c13d0cc00286e927/adaf2edda3cc7cd93174ba613b01213fb80e9129.jpg" /> \r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	从去年年底开始，香港方面已开始研究是否允许合伙人制度的议题，研究各方是港交所、证监会和法院，还要在此过程中征求民意。整个研究过程将持续到今年一季度，或许4月份即可公布答案。蔡崇信此番表态，比马云自己出来瞎忽悠效果好了很多，等于是把球最后一次踢给了香港，但能否奏效还存在变数。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	合伙人制度在欧美并不鲜见，相当多的咨询、法律等服务性公司都是依据合伙人制度所建立的。当然，法律对合伙人也有一些明确规定，一般的合伙人是要对公司债务承担无限责任的，公司也可以加入作为合伙人。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	阿里巴巴坚持的合伙人制度，据他们自己说，是新兴企业的治理结构创新，但事实上其合伙人拥有的特权要远高于欧美合伙人制度中的规定。而且，阿里的合伙人制度，在产生方式上随意性很强，加入公司5年以上算是个硬条件，但高度认同公司文化这件事，没有一个明显的指标来衡量，类似的条件还有很多，基本都是主观条件，完全是以人而非制度来决定公司的重大决策。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	这28个合伙人有权提名公司CEO，以及超过半数的上市公司董事会成员，是创始人管理团队意图对未来的上市公司实施实际控制的第一步。第二步就是在美国比较流行的AB股制度，管理层持有的股份为B股，可行使10倍投票权。如此一来，既有合伙人制度，又有AB股制度，一旦实施，阿里管理层团队将成为阿里巴巴实质上千秋万代的不移之主。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	现代企业运作机制的核心是董事会，股东选举出董事会，董事会选出管理层，这是一种双向代理模式。董事会相当于一座桥梁，搭建起股东与管理层之间沟通的桥梁。董事会行使的是股东的意志，而股东的意志将会被传导给执行层面的管理层，管理层对董事会负责，董事会对股东负责。这本是一种较为稳定的公司权力运行架构，但阿里巴巴这个管理层，却想以本是执行层的身份，行使股东才能有的权力。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	有个形象的比喻可以说明这种事，英国人选出议会，议会选出首相，这其中的英国人相当于股东，议会相当于董事会，首相相当于管理层，现在首相说了，我们功绩卓著，需要有权提名国会一半以上议员，而且我们的投票权要比普通选民多10倍，约等于全国投票权的51%。这个动议提出来之后，英国人会作何感想？马云和蔡崇信口中的那个合伙人制度，约等于上述的内容。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	如果阿里巴巴不上市，这套制度是可行的，只要股东同意，并无不可。因为私人公司如何运行，都不会影响到公众利益，但阿里马上就要上市，用这套在公司治理方面显得倒退的制度上市，就实在值得商榷了。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	可以确定的是，美国并不存在这么一套合伙人制度，欧美流行的合伙人制度与此并不相同。AB股制度美国是有的，谷歌、facebook等大公司都是采取这种制度，zynga的B股投票权甚至到了70:1，但其管理层并不拥有能在较少股份的情况下，提名董事会一半董事的权力。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	马云及其管理团队只有10%的阿里巴巴股权，却想以较小股权对如此大的一个公司行使实际控制权，从道理上说不通。他们所提出的那些理由，如防止公司短期波动，保持企业文化等等，从根本上是站不住脚的。他们的一切理由都建立在为股东好的基础上，却刻意淡化了一个可能性，股东怎么知道你未来不会进行利益输送掏空公司，怎么知道你不会监守自盗损害股东利益，怎么知道你不会为非作歹把公司引入歧途。2011年的支付宝剥离事件，让人不寒而栗，小股东可以公然掠夺大股东的利益，还有什么样的利益不能践踏。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	阿里巴巴搞出的这套合伙人制度，在美国市场没有问题，按理说直接赴美上市就好了，但阿里却三番五次隔空与香港喊话，坚持主张合伙人制度。其原因就在于，美国市场监管较为严格，法律完善，而香港股市在制度上较为严格，监管相对较松。阿里管理层想要的效果是，既能规避美国市场的严格监管和法律诉讼，又能用合伙人制度对公司进行实际控制，这是鱼与熊掌兼得的心态。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	还有一个原因，从来没人提过。马云等人在公司治理和经营上所施行的那一套，漏洞颇多，在马云等人作为小股东，对阿里巴巴不构成实际控制的情况下，一旦出现问题，他们会失去阿里巴巴的支持，成为孤家寡人，而在马云及其管理层对阿里巴巴有实际控制权的基础上，一切责任将由该公司与之一同承担。\r\n</p>\r\n<p class="text" style="font-family:Simsun;font-size:14px;vertical-align:baseline;text-indent:28px;background-color:#FFFFFF;">\r\n	如果说，过去马云等人某些坑害股东利益的行为还存在一些模糊地带，社会舆论会对其行为有一定约束，那么在香港接受了其携合伙人制度上市的要求之后，其有可能实施的坑害股东和小股东利益的行为就完成了合法化进程。香港的证券秩序将出现混乱，国际金融中心地位也会受到挑战，司法精神荡然无存。当然，这一次我认为香港是完全有能力经受考验的。\r\n</p>', 'http://e.hiphotos.baidu.com/news/w%3D638/sign=758eae4634d3d539c13d0cc00286e927/adaf2edda3cc7cd93174ba613b01213fb80e9129.jpg', ' 微乐园', '原创', 0, 454, '2014-03-14 21:24:13', '', '', 'text_show'),
(27, NULL, '如果马云赢了，这个民族就输了', '/gsxw-rgmyylzgmzjsl.html', '公司新闻', 1, 0, 0, 1, 1, 1, '如果马云赢了，这个民族就输了', '如果马云赢了，这个民族就输了', '马云在接受央视采访时，莫名其妙地把人造双11的理由与房地产联系在一起，声称发动双11的目的就是要削弱传统商业，并借助市场力量打压房地产价格，同时他还信誓旦旦地表示，如果王健林赢了，那就是我们的社会输了。如果房地产一直是经济支柱，我们将输掉这一代人的幸福。', '<p>\r\n	<span style="font-family:Simsun;font-size:14px;line-height:24px;background-color:#FFFFFF;">马云在接受央视采访时，莫名其妙地把人造双11的理由与房地产联系在一起，声称发动双11的目的就是要削弱传统商业，并借助市场力量打压房地产价格，同时他还信誓旦旦地表示，如果王健林赢了，那就是我们的社会输了。如果房地产一直是经济支柱，我们将输掉这一代人的幸福。</span> \r\n</p>\r\n<p>\r\n	<span style="font-family:Simsun;font-size:14px;line-height:24px;background-color:#FFFFFF;"> </span>\r\n</p>\r\n<div id="page" style="margin:0px;padding:0px 20px;border:0px;font-family:Simsun;font-size:medium;vertical-align:baseline;">\r\n	<div class="article-detail" style="margin:0px;padding:0px;border:0px;font-family:inherit;font-size:inherit;font-style:inherit;font-weight:inherit;vertical-align:baseline;">\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			马云可真是会忧国忧民，他总能为自己那块电子商务事业找到冠冕堂皇的奋斗目标，以此拉拢绝大多数无产者，并扮演一个救世主的角色。马云一直关心空气和水的质 量问题，但在飞越大洋给大自然保护协会投入巨额资金之前，还是先想想怎么能花点钱把浙江的污染问题解决一下。马云还很关心房地产价格，那是不是该自己做出 表率，把他自己在浙江、上海和香港等地价值十几亿元的房产先抛售掉，也算是为房价降低做出了微薄贡献。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			房地产价格在中国，是个系统性问题，多年来人们已得出共识，地价才是房价高涨的主要原因，这与市场不市场，本质上不是一个问题。在财税体制没有翻天覆地的变 化之前，地方政府要依赖土地财政，因为税收从别处收不上来。上届政府对房地产价格了进行多轮调控，但没有奏效，主要原因就在于，一刀切端掉地方政府这块收 入，得不偿失，解决这个问题的唯一办法就是进行配套改革，利用税收、供给、法制等各种杠杆发挥作用，将房价逐渐稳定在一个水平线之下，而不是刻意打压。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			这一切，没有中央政府在政策上的协同发力，是万难做到的。马云所做的这个表态，很像是住在海边的老马家每天从大海里取回一桶水泼地，在被问及为何这么做时， 信誓旦旦地表示：“我每天都提一桶水泼地，主要目的就是为了把大海舀干，让沧海变成桑田。”他说的是那么义正言辞啊，似乎是连自己也相信了，更别提相信他 所说的这一切的傻瓜，并不在少数。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			这些年，马云近乎于在消费一切，先是屌丝，后是中产，先是左派，后是右派，先是环保主义者，后是民主主义者，先是港交所，后是纽交所。如今他终于把手伸向政 府了，不知道是不是因为偶然有了一次直面高层的机会，就兴奋得不知所以，也不知道是不是他觉得在被接见后就有了一马平川的能力，又可以纵横四海了。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			马云拉大旗作虎皮的能力非常强，他往往会把不属于自己的功劳揽过来，把属于自己的责任推出去。淘宝上假货横行时，他言之凿凿地声称自己是假货的最大受害者； 淘宝围城时小卖家利益受损时，他归咎于这是在打击信用炒作，在做正确的事；支付宝剥离事件时，他则把国家金融安全拉进来为自己的恶行陪绑；如今房地产调控 要进入实质阶段了，他则又不失时机地钻进来表示要为打压房价而战。等到明年房价在调控政策下真的下跌了，他一定又会说，这是淘宝的电子商务发挥了作用。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			在马云的那个位置上，他有钱，有资源，随便说句什么都会有人完全相信，这给予他一种颠倒黑白的能力。在需要他付出责任时往往会轻描淡写掩盖过去，在跟他八竿 子打不着的好事出现时，他往往会无孔不入将其与自己联系在一起。话说，马云已是阿里巴巴的神了，卖家已开始拿他的画像当做灵物祭拜，阿里巴巴员工已准备誓 死捍卫马云了，他还有什么其他的企图？\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			马云的野心，当然并不仅止于此，很多人都知道，也有很多人在观察，更有很多人在记录，就是没什么人会说出来。阿里巴巴动用公司资源开展造神运动，把活生生一 个人捧成一尊神，其目的无非在于用这尊神来保佑其千秋万代。但自耶稣、释迦摩尼和穆罕默德之后，我还真没见过脱胎于凡人且能长久屹立不倒的神。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			改革开放过去三十年间，我们见识过不少神人，水变油的，练气功的，转法轮的，但那些人上位的基础，是民众的愚昧和无知。而今的马云，则是利用商业文明伪装起 来的另一个神人，其隐蔽性和欺骗性更强，需要格外加以警惕。因为，过去的神人往往会灌输一些错误的常识和理念，用以谋求个人利益，那些花招，在知识水平逐 渐提高了的民众面前，很快会烟消云散。但如今的马云们，则往往会灌输看上去正确的常识和理念，且往往用梦想和价值观将其包装得无比靓丽，最终的结果导向， 却仍然是用来谋求个人利益。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			他给你指出一条错误的路用以谋求私利，好歹还给机会让你回头去走正确的路，他给你指出一看上去不错，但要50年才能认清对错的路以谋求私利，那可真是要牺牲你一辈子的幸福去验证了。其对民族的危害，更为长远，对社会的摧残，更为持久。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			中国虽然已向经济发达国家迈进，但实际上还没有完全进入现代国家的行列，民众的群聚、盲从、非理性、易受煽动和民粹化基因，是中国前进道路上的绊脚石。身为 代表先进力量的电子商务公司的创始人，用封建残余和诈术来谋求自身的进步，进而把自己塑造成一尊神，实质上是对中国走向现代国家进程的一种摧残。\r\n		</p>\r\n		<p class="text" style="font-family:inherit;font-size:14px;font-style:inherit;font-weight:inherit;vertical-align:baseline;text-indent:28px;">\r\n			马云的事例，不过是历史长河中小小的一瞬，激不起太大波澜，我也不相信他能最终获得成功。但有一点我们一定要牢记，马云赢了，这个民族就输了，会有更多的野心家冒出来，肆意瓜分和践踏这个民族的信心和自尊。\r\n		</p>\r\n	</div>\r\n</div>\r\n<div class="bottom-share" style="margin:0px;padding:10px 20px 30px;border:0px;font-family:Simsun;font-size:medium;vertical-align:baseline;">\r\n	<div id="bdshare" class="bdshare_t bds_tools_32 get-codes-bdshare" style="margin:0px;padding:0px 0px 2px;border:0px;font-family:inherit;font-size:12px;font-style:inherit;font-weight:inherit;vertical-align:baseline;">\r\n	</div>\r\n</div>\r\n<br />\r\n<p>\r\n	<br />\r\n</p>', '/Public/Uploads/mid/m_1394803614.jpg', ' 微乐园', '原创', 0, 90, '2014-03-14 21:26:29', '', '', 'text_show');



CREATE TABLE IF NOT EXISTS `az_link` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `remak` varchar(255) DEFAULT NULL,
  `time` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;





CREATE TABLE IF NOT EXISTS `az_page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `infotitle` varchar(255) DEFAULT NULL,
  `infokey` varchar(255) DEFAULT NULL,
  `infodesc` varchar(255) DEFAULT NULL,
  `content` text,
  `pcpic` varchar(255) DEFAULT NULL,
  `author` varchar(255) DEFAULT NULL,
  `hits` int(11) DEFAULT NULL,
  `time` datetime DEFAULT NULL,
  `pagetem` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `outurl` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;


INSERT INTO `az_page` (`id`, `title`, `infotitle`, `infokey`, `infodesc`, `content`, `pcpic`, `author`, `hits`, `time`, `pagetem`, `url`, `outurl`) VALUES
(1, '联系我们', '', '', '', '<p style="text-align:center;">\r\n	<strong>你可以把你的要求写在下面表单里面！我们收到后会尽快联系您！</strong>\r\n</p>\r\n<p style="text-align:center;">\r\n	<strong>我们保证不会透露你的信息！</strong>\r\n</p>', '', '', 4075, '2013-12-26 19:23:04', 'contact', '/page-lxwm.html', ''),
(2, '关于我们', '关于我们', '关于我们', '关于我们', '<p style="color:#666666;font-family:''Microsoft Yahei'', Verdana, Arial, Helvetica, sans-serif;background-color:#FFFFFF;">\r\n	赣州先辉网络公司是一家有着多年<a href="http://www.semvseo.com/wangzhanjianshe/" target="_blank" class="sitelink">网站建设</a>和<a href="http://www.semvseo.com/wangzhanyouhua/" target="_blank" class="sitelink">网站优化</a>经验的赣州<a href="http://www.semvseo.com/zhizuosheji.html" target="_blank" class="sitelink">网站制作</a>公司，其中我们拥有有着8年网站美工工作经验的高级<a href="http://www.semvseo.com/wangzhansheji/" target="_blank" class="sitelink">网站设计</a>师和3年专注网站优化研究的网站优化师再加上多年程序工程师同台坐阵，相互合作，让我们的美工设计出来的网站非常合理，不但在视觉上满足用户，还结合了我们的SEO优化师的优化思想设计出来的网站每一个细节都有SEO的灵魂;\r\n</p>\r\n<p style="color:#666666;font-family:''Microsoft Yahei'', Verdana, Arial, Helvetica, sans-serif;background-color:#FFFFFF;">\r\n	赣州先辉网络科技有限公司专精于高品质多媒体互动制作的全方位设计行销公司同时也拥有实力坚强的研发团队及顶尖素养的设计专才，多年来活跃在与创意产业相关的高端品牌网站建设、<a href="http://www.semvseo.com/wangzhangtuiguang/" target="_blank" class="sitelink">网站推广</a>、网站设计、SEO优化品牌形象塑造的各个领域。先辉网络一直致力于建立d更多更好的互联网品牌形象，提供权威专业的互联网品牌策划,并实施高标准的设计方案，创造真正意义上的品牌网站,为互联网品牌在互动行销领域创造最大价值而不懈努力！\r\n</p>\r\n<p style="color:#666666;font-family:''Microsoft Yahei'', Verdana, Arial, Helvetica, sans-serif;background-color:#FFFFFF;">\r\n	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br />\r\n&nbsp;&nbsp;&nbsp; 设计中心从前期网站策划到网站设计制作、数据库开发及网站正和调试发布，都有从事多年的专业网站设计师、网站开发工程师为您提供服务，如果网站规模比较大，我们将组建专门的项目小组，制定严格的项目进度表，由专人负责，以确保项目的保质保量的实施。我们的优势体现在：&nbsp;<br />\r\n&nbsp;<br />\r\n&nbsp;<b><span style="font-size:18px;color:#009900;">&nbsp;<span style="color:#337FE5;">1.网站视觉设计规范的定制&nbsp;</span></span></b><br />\r\n&nbsp;&nbsp;&nbsp; 系统、规范的设计是评价一个网站是否专业的重要标准之一。设计中心为您进行专业的网站设计基础上，订制一整套网站设计执行标准，包括网站模板、版式结构、文字标准、图片尺寸标准、层叠样式表单等等。<br />\r\n&nbsp;&nbsp;<br />\r\n&nbsp;<b>&nbsp;<span style="font-size:18px;color:#337FE5;">2.面向用户的功能流程设计</span></b>&nbsp;<br />\r\n&nbsp;&nbsp;&nbsp; 如何使网站的功能合理化、摒弃不合理的功能，使投资效益最大化，港迅会为您量身定做最适合您企业的网站功能。<br />\r\n&nbsp;&nbsp;&nbsp;&nbsp;<br />\r\n&nbsp;<b><span style="font-size:18px;color:#337FE5;">&nbsp;3.对搜索引擎友好的网站结构和信息组织</span></b>&nbsp;<br />\r\n&nbsp;&nbsp;&nbsp; 设计中心非常重视网站的结构和信息组织，通过一系列手段让网站对搜索引擎友好，使得网页更有利于被全文搜索引擎收录，从而提高网站的自然排名。<br />\r\n&nbsp;&nbsp;<br />\r\n&nbsp;&nbsp;<span style="font-size:18px;color:#337FE5;"><b>4.规范化资料的提交&nbsp;</b></span><br />\r\n&nbsp;&nbsp;&nbsp; 设计中心本着对客户负责的态度，在网站整个规划设计过程中会在不同阶段为您提交相应的工作成果文档，有些过程需要您的确认。\r\n</p>\r\n<p style="color:#666666;font-family:''Microsoft Yahei'', Verdana, Arial, Helvetica, sans-serif;background-color:#FFFFFF;">\r\n	赣州先辉网络科技有限公司是由多年从事互联网策划、设计及开发的专业 网站设计开发工程师组成的年轻团队，我们深知，互联网技术的发展是永无止境的，网站建设更要符合企业和市场的需要。随着网络信息的日益膨胀，我们深刻地意识到网络营销的重要性。因此，设计中心全力为您推出面向营销的网站设计，也就是说，企业网站只有面向营销、面向目标客户，才能够发挥世纪的效用。如何做到这一点？我们期待着与您的合作！\r\n</p>', '', '预感', 3171, '2013-12-26 23:23:40', 'page', '/page-gywm.html', '');



CREATE TABLE IF NOT EXISTS `az_search` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(255) NOT NULL,
  `hits` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;





CREATE TABLE IF NOT EXISTS `az_weixin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post` varchar(255) DEFAULT NULL,
  `event` int(255) DEFAULT '1',
  `num` int(11) DEFAULT NULL,
  `keys` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;


INSERT INTO `az_weixin` (`id`, `post`, `event`, `num`, `keys`) VALUES
(1, '欢迎关注我们！', 4, 4, ''),
(5, '', 2, 10, '推荐'),
(7, '', 5, 1, '2'),
(8, '', 3, 3, '3');



CREATE TABLE IF NOT EXISTS `az_wximage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) DEFAULT NULL,
  `userid` varchar(255) DEFAULT NULL,
  `time` int(11) DEFAULT NULL,
  `hits` int(11) DEFAULT '0',
  `revs` int(11) DEFAULT '0',
  `isshow` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


